@echo off
echo.
echo This batch file is designed to run in the directory in which Class(y) is
echo installed.  It expects the patch file CSYEXO.RTP to be available in that
echo directory, and it expects to find CLASSY.LIB in the current directory or
echo in a subdirectory called LIB under the current directory.  If this is not
echo the case, please press Ctrl-Break to exit.
pause
if not exist CSYEXO.RTP goto nopatch
set CSYLIB=CLASSY
if exist %CSYLIB%.LIB goto gotLib
set CSYLIB=LIB\CLASSY
if not exist %CSYLIB%.LIB goto noLib
:gotLib
if exist CLASSYX.LIB     goto confused
if exist LIB\CLASSYX.LIB goto confused
echo Copying %CSYLIB%.LIB to %CSYLIB%X.LIB...
copy %CSYLIB%.LIB %CSYLIB%X.LIB
echo Executing PATCH.EXE (supplied on Class(y) 2.0a distribution disk)
patch CSYEXO
if errorlevel 1 goto failure
echo Patch was successful.  Use CLASSYX.LIB when linking with ExoSpace.
goto end
:nolib
echo CLASSY.LIB not found.  Patch not applied.
goto end
:nopatch
echo CSYEXO.RTP not found.  Patch not applied.
goto end
:confused
echo CLASSYX.LIB already exists.  If you wish to generate a
echo new copy of CLASSYX.LIB, delete the existing copy first.
goto end
:failure
echo Patch failed, deleting CLASSYX.LIB...
del %CSYLIB%X.LIB
:end
set CSYLIB=
echo.
